Unverified Commit 4a65acbc authored by renovate[bot]'s avatar renovate[bot] Committed by GitHub
Browse files

fix(deps): update all dependencies (#264)


Co-authored-by: default avatarRenovate Bot <bot@renovateapp.com>
parent a0518fec
......@@ -18,18 +18,18 @@
},
"dependencies": {
"@kosko/env": "^0.5.2",
"@socialgouv/kosko-charts": "^3.2.2",
"kubernetes-models": "^1.0.1",
"@socialgouv/kosko-charts": "^3.2.5",
"kubernetes-models": "^1.0.3",
"toml": "^3.0.0"
},
"devDependencies": {
"@kubernetes-models/sealed-secrets": "^1.0.1",
"@types/node": "^14.14.7",
"@kubernetes-models/sealed-secrets": "^1.0.3",
"@types/node": "^14.14.28",
"dotenv": "^8.2.0",
"jest-cli": "^26.6.3",
"kosko": "^0.9.2",
"ts-jest": "^26.4.3",
"ts-jest": "^26.4.4",
"ts-node": "^9.0.0",
"typescript": "^4.0.5"
"typescript": "^4.0.7"
}
}
......@@ -345,11 +345,6 @@
slash "^3.0.0"
strip-ansi "^6.0.0"
"@jest/create-cache-key-function@^26.5.0":
version "26.5.0"
resolved "https://registry.yarnpkg.com/@jest/create-cache-key-function/-/create-cache-key-function-26.5.0.tgz#1d07947adc51ea17766d9f0ccf5a8d6ea94c47dc"
integrity sha512-DJ+pEBUIqarrbv1W/C39f9YH0rJ4wsXZ/VC6JafJPlHW2HOucKceeaqTOQj9MEDQZjySxMLkOq5mfXZXNZcmWw==
"@jest/environment@^26.6.2":
version "26.6.2"
resolved "https://registry.yarnpkg.com/@jest/environment/-/environment-26.6.2.tgz#ba364cc72e221e79cc8f0a99555bf5d7577cf92c"
......@@ -554,29 +549,29 @@
resolve "^1.17.0"
tslib "^1.11.1"
"@kubernetes-models/base@^1.0.0":
version "1.0.0"
resolved "https://registry.yarnpkg.com/@kubernetes-models/base/-/base-1.0.0.tgz#cde8ed8eeaa8c95d869f1cbea056d59936a8844c"
integrity sha512-55rdTCwt5hUfsYsSovw1eZ4La7KJcukJAvlTDwaLYdUx36CtPCzBd90rEtHLCvaaqRGx989IExmnmutGZyeAYg==
"@kubernetes-models/base@^1.2.0":
version "1.2.0"
resolved "https://registry.yarnpkg.com/@kubernetes-models/base/-/base-1.2.0.tgz#638ecca63c45be9cb8afea817247d0107baa2f49"
integrity sha512-q/P9B8TbRuMog77wCqQTTFt2QSrFuljX4GtgWzl17Th9OIEJVb0VFlMCsSXJc8qbCQCHByPHk4j09lno0amb3A==
dependencies:
"@kubernetes-models/validate" "^1.0.0"
"@kubernetes-models/validate" "^1.1.0"
is-plain-object "^5.0.0"
tslib "^2.0.3"
"@kubernetes-models/sealed-secrets@^1.0.1":
version "1.0.1"
resolved "https://registry.yarnpkg.com/@kubernetes-models/sealed-secrets/-/sealed-secrets-1.0.1.tgz#2d887f4f33483c69bd155e82979d5db185d9832e"
integrity sha512-FMh6DwD78rBU5Y3kDy27vq3nfcw/QPpOE8WwyPy/E/GV8iFZQKtz9z2mZdFgHzG1Uc/0qqkwoDu+eX9+X4lcWA==
"@kubernetes-models/sealed-secrets@^1.0.1", "@kubernetes-models/sealed-secrets@^1.0.3":
version "1.1.0"
resolved "https://registry.yarnpkg.com/@kubernetes-models/sealed-secrets/-/sealed-secrets-1.1.0.tgz#adc42adea283ee074674b8ce80a93f4ec1b032c6"
integrity sha512-JZ6dJbwBctAkRXQyIHgdKIl5hJx/erXmqAdtQja5YHhaQ56LEcd4cRLTYl/XvO8Br7FA1s/SFT9/QQbylqZcng==
dependencies:
"@kubernetes-models/base" "^1.0.0"
"@kubernetes-models/validate" "^1.0.0"
kubernetes-models "^1.0.1"
"@kubernetes-models/base" "^1.2.0"
"@kubernetes-models/validate" "^1.1.0"
kubernetes-models "^1.1.0"
tslib "^2.0.3"
"@kubernetes-models/validate@^1.0.0":
version "1.0.0"
resolved "https://registry.yarnpkg.com/@kubernetes-models/validate/-/validate-1.0.0.tgz#26e65342e4cb600042c57d95d79fad80ba97576a"
integrity sha512-goF9ajr66OqeHNienbhewzPMdKZoHTyrippw6hd/rQZs7kDbNeuQuDNSC3thoceczYSlhAa/q8Zyfa8X03A6LQ==
"@kubernetes-models/validate@^1.1.0":
version "1.1.0"
resolved "https://registry.yarnpkg.com/@kubernetes-models/validate/-/validate-1.1.0.tgz#2357fa1eb8b0ebfa2453e51f6d157e689bbbfa09"
integrity sha512-IQ5aknZgZh/ZyyFiyjRb2ncMva/hoK1O7C9FudZInYB5ql94eM0vD6m/iKnmKXtY0VBX6sYYlAl3oXU9AA7+Qw==
dependencies:
ajv "^6.12.6"
big-integer "^1.6.48"
......@@ -622,14 +617,14 @@
dependencies:
"@sinonjs/commons" "^1.7.0"
"@socialgouv/kosko-charts@^3.2.2":
version "3.2.2"
resolved "https://registry.yarnpkg.com/@socialgouv/kosko-charts/-/kosko-charts-3.2.2.tgz#180593b92629efa3e77ba6377c5d1ad166b981ac"
integrity sha512-P/zfNWHwHDC1LNRqveM8CgrclheP2S9pkonY19fexO7YrZUMhQXPakqQcCSYkocxCD6dX+Z7osNkqbfC4OmwTg==
"@socialgouv/kosko-charts@^3.2.5":
version "3.4.0"
resolved "https://registry.yarnpkg.com/@socialgouv/kosko-charts/-/kosko-charts-3.4.0.tgz#2b64ccd877736e9946654fb3429a3470e370740e"
integrity sha512-yqu/QqYnmaRFs/BcZ+U5my6BcQT2OCiwfv4Z3PkgPmrSns0AFJYvnJuRpJ0bXI6prqMIO6eo6dbjP7vXMUuzzQ==
dependencies:
"@kubernetes-models/sealed-secrets" "^1.0.1"
"@sindresorhus/is" "^4.0.0"
fp-ts "^2.8.5"
fp-ts "^2.9.0"
io-ts "2.2.7"
"@types/babel__core@^7.0.0", "@types/babel__core@^7.1.7":
......@@ -712,10 +707,10 @@
jest-diff "^25.2.1"
pretty-format "^25.2.1"
"@types/node@*", "@types/node@^14.14.7":
version "14.14.7"
resolved "https://registry.yarnpkg.com/@types/node/-/node-14.14.7.tgz#8ea1e8f8eae2430cf440564b98c6dfce1ec5945d"
integrity sha512-Zw1vhUSQZYw+7u5dAwNbIA9TuTotpzY/OF7sJM9FqPOF3SPjKnxrjoTktXDZgUjybf4cWVBP7O8wvKdSaGHweg==
"@types/node@*", "@types/node@^14.14.28":
version "14.14.28"
resolved "https://registry.yarnpkg.com/@types/node/-/node-14.14.28.tgz#cade4b64f8438f588951a6b35843ce536853f25b"
integrity sha512-lg55ArB+ZiHHbBBttLpzD07akz0QPrZgUODNakeC09i62dnrywr9mFErHuaPlB6I7z+sEbK+IYmplahvplCj2g==
"@types/normalize-package-data@^2.4.0":
version "2.4.0"
......@@ -1648,10 +1643,10 @@ form-data@~2.3.2:
combined-stream "^1.0.6"
mime-types "^2.1.12"
fp-ts@^2.8.5:
version "2.8.6"
resolved "https://registry.yarnpkg.com/fp-ts/-/fp-ts-2.8.6.tgz#1a0e6c3f29f5b0fbfa3120f034ea266aa73c811b"
integrity sha512-fGGpKf/Jy3UT4s16oM+hr/8F5QXFcZ+20NAvaZXH5Y5jsiLPMDCaNqffXq0z1Kr6ZUJj0346cH9tq+cI2SoJ4w==
fp-ts@^2.9.0:
version "2.9.5"
resolved "https://registry.yarnpkg.com/fp-ts/-/fp-ts-2.9.5.tgz#6690cd8b76b84214a38fc77cbbbd04a38f86ea90"
integrity sha512-MiHrA5teO6t8zKArE3DdMPT/Db6v2GUt5yfWnhBTrrsVfeCJUUnV6sgFvjGNBKDmEMqVwRFkEePL7wPwqrLKKA==
fragment-cache@^0.2.1:
version "0.2.1"
......@@ -2645,13 +2640,13 @@ kosko@^0.9.2:
"@kosko/cli" "^0.9.2"
import-local "^3.0.2"
kubernetes-models@^1.0.1:
version "1.0.1"
resolved "https://registry.yarnpkg.com/kubernetes-models/-/kubernetes-models-1.0.1.tgz#f4fa48968db34f1d33f1e8f7ecbcd1098a4f1ebd"
integrity sha512-aWhuzVT4xwREq6NcQA6hGxL7R1TESc3p6nyKc7LsB3fjKiqdZLTowoPKRrcPIO8jWD3R0Dp1sB/8nQHnakKpoQ==
kubernetes-models@^1.0.3, kubernetes-models@^1.1.0:
version "1.1.0"
resolved "https://registry.yarnpkg.com/kubernetes-models/-/kubernetes-models-1.1.0.tgz#0e60c91d2960ff33a1dbb31f65ac0c26f172e631"
integrity sha512-FB5Jo5Q2jBTl1eTEqkI/4Ohgy8/yAnRbo2axDaXLISL+LwvofCRdoBChYXWUvEC61UwdbBo7OCdAF+Bzb4nvUw==
dependencies:
"@kubernetes-models/base" "^1.0.0"
"@kubernetes-models/validate" "^1.0.0"
"@kubernetes-models/base" "^1.2.0"
"@kubernetes-models/validate" "^1.1.0"
tslib "^2.0.3"
leven@^3.1.0:
......@@ -2697,20 +2692,15 @@ locate-path@^5.0.0:
dependencies:
p-locate "^4.1.0"
lodash.memoize@4.x:
version "4.1.2"
resolved "https://registry.yarnpkg.com/lodash.memoize/-/lodash.memoize-4.1.2.tgz#bcc6c49a42a2840ed997f323eada5ecd182e0bfe"
integrity sha1-vMbEmkKihA7Zl/Mj6tpezRguC/4=
lodash.sortby@^4.7.0:
version "4.7.0"
resolved "https://registry.yarnpkg.com/lodash.sortby/-/lodash.sortby-4.7.0.tgz#edd14c824e2cc9c1e0b0a1b42bb5210516a42438"
integrity sha1-7dFMgk4sycHgsKG0K7UhBRakJDg=
lodash@^4.17.19:
version "4.17.19"
resolved "https://registry.yarnpkg.com/lodash/-/lodash-4.17.19.tgz#e48ddedbe30b3321783c5b4301fbd353bc1e4a4b"
integrity sha512-JNvd8XER9GQX0v2qJgsaN/mzFCNA5BRe/j8JN9d+tWyGLSodKQHKFicdwNYzWwI3wjRnaKPsGj1XkBjx/F96DQ==
lodash@4.x, lodash@^4.17.19:
version "4.17.20"
resolved "https://registry.yarnpkg.com/lodash/-/lodash-4.17.20.tgz#b44a9b6297bcb698f1c51a3545a2b3b368d59c52"
integrity sha512-PlhdFcillOINfeV7Ni6oF1TAEayyZBoZ8bcshTHqOYJYlrqzRK5hagpagky5o4HfCzzd1TRkXPMFq6cKk9rGmA==
lru-cache@^6.0.0:
version "6.0.0"
......@@ -3785,19 +3775,18 @@ tr46@^2.0.2:
dependencies:
punycode "^2.1.1"
ts-jest@^26.4.3:
version "26.4.3"
resolved "https://registry.yarnpkg.com/ts-jest/-/ts-jest-26.4.3.tgz#d153a616033e7ec8544b97ddbe2638cbe38d53db"
integrity sha512-pFDkOKFGY+nL9v5pkhm+BIFpoAuno96ff7GMnIYr/3L6slFOS365SI0fGEVYx2RKGji5M2elxhWjDMPVcOCdSw==
ts-jest@^26.4.4:
version "26.5.1"
resolved "https://registry.yarnpkg.com/ts-jest/-/ts-jest-26.5.1.tgz#4d53ee4481552f57c1624f0bd3425c8b17996150"
integrity sha512-G7Rmo3OJMvlqE79amJX8VJKDiRcd7/r61wh9fnvvG8cAjhA9edklGw/dCxRSQmfZ/z8NDums5srSVgwZos1qfg==
dependencies:
"@jest/create-cache-key-function" "^26.5.0"
"@types/jest" "26.x"
bs-logger "0.x"
buffer-from "1.x"
fast-json-stable-stringify "2.x"
jest-util "^26.1.0"
json5 "2.x"
lodash.memoize "4.x"
lodash "4.x"
make-error "1.x"
mkdirp "1.x"
semver "7.x"
......@@ -3870,10 +3859,10 @@ typedarray-to-buffer@^3.1.5:
dependencies:
is-typedarray "^1.0.0"
typescript@^4.0.5:
version "4.0.5"
resolved "https://registry.yarnpkg.com/typescript/-/typescript-4.0.5.tgz#ae9dddfd1069f1cb5beb3ef3b2170dd7c1332389"
integrity sha512-ywmr/VrTVCmNTJ6iV2LwIrfG1P+lv6luD8sUJs+2eI9NLGigaN+nUQc13iHqisq7bra9lnmUSYqbJvegraBOPQ==
typescript@^4.0.7:
version "4.1.5"
resolved "https://registry.yarnpkg.com/typescript/-/typescript-4.1.5.tgz#123a3b214aaff3be32926f0d8f1f6e704eb89a72"
integrity sha512-6OSu9PTIzmn9TCDiovULTnET6BgXtDYL4Gg4szY+cGsc3JP1dQL8qvE8kShTRx1NIw4Q9IBHlwODjkjWEtMUyA==
underscore@1.7.0:
version "1.7.0"
......
This source diff could not be displayed because it is too large. You can view the blob instead.
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment